<!-- Programa para renderizar listas com HTML -->

<!DOCTYPE html>
<!-- #faz com que o navegador entenda o tipo de conteúdo que vai ser exibido na tela -->

<html>

<head>
    <title>WebBase from QA Ninja</title>
    <!-- Define o nome da guia, ou janela; -->
    <script src="js/vue.js"></script>
</head>

<body>
    <div id="app">
        <h1>Cadastro de Alunos</h1>

        <form>
            <label for="Nome Completo">Nome Completo</label>
            <input name = "Nome Completo" type="text" v-model="form.Nome"> 

            <label for="Email">Email</label>
            <input name = "Email" type="text" v-model="form.Email">

            <label for="Nota">Nota</label>
            <input name = "Nota" type="text" v-model="form.Nota">

            <input type="button" value="Cadastrar" @click="adicionarAluno">
        </form>

            <!-- Já para funcionar é preciso do JAVA para dar vida ao HTML; -->
            
            <!-- Tabela para listar as entradas com HTML -->
            <div> 
                <table class="table">
                    <thead>
                       <th>Nome</th> 
                       <th>Email</th>
                       <th>Nota</th>
                       <th>Ações</th>
                    </thead>
                    <tbody>
                        <tr v-for="aluno in alunos">
                            <td>{{aluno.Nome}}</td>
                            <td>{{aluno.Email}}</td>
                            <td>{{aluno.Nota}}</td>
                            <td>
                                <button class="danger" @click="apagarAluno(aluno)">Excluir</button>
                            </td>
                        </tr>
                    </tbody>
                </table>    
            </div>

        
    </div>

    <script>
        //  <!-- vinculação do js com o html; aqui é onde o java chama o div que tá em html -->
        var app = new Vue({
            el: "#app",
            data: {
                form:{
                    Nome: '',
                    Email: '',
                    Nota: ''
                },

                alunos: [
                    {Nome: 'Ewerton', Email: 'Ewerton@gg', Nota: '10' }
                ]},
            methods:{

                limpaFormulario: function () {
                    this.form = {
                        Nome: '',
                        Email:'',
                        Nota:''
                    }
                },

                adicionarAluno: function(){
                   //// console.log(this.form)
                   this.alunos.push(this.form)
                   //push adiciona do array
                   this.limpaFormulario()
                },

                apagarAluno: function(aluno) {
                    var posicao = this.alunos.indexOf(aluno)
                    this.alunos.splice(posicao, 1)
                    //splice exclui do array
                }

            }
        })
    </script>
    <style>
        .table {
            margin-top: 20px;   
            width: 100%;
            text-align: left;
        }

        .table th,
        .table td {
            border-top: 1px solid #ccc;
        }

             input{
            display: block;
        }

        input[type=button]{
            margin-top: 10px;
            background-color:blueviolet;
            border-color:blueviolet;
            color: #eee;
        }

        .table th:last-child, .table td:last-child {
            text-align: right;
        }

        .danger{
            background-color: brown;
            border-color: brown;
            color: #eee;

        }

    </style>

</body>
</html>